@echo off
:: Verifica se está sendo executado como Administrador
net session >nul 2>&1
if %errorLevel% neq 0 (
    echo Solicitando permissão de Administrador...
    powershell -Command "Start-Process cmd -ArgumentList '/c %~s0' -Verb RunAs"
    exit
)

:: Para o serviço de spooler
echo Parando o serviço de spooler...
net stop spooler

:: Aguarda 2 segundos para garantir que o serviço parou
timeout /t 2 /nobreak >nul

:: Remove os arquivos na pasta de spooler
echo Apagando arquivos da fila de impressão...
del /Q /F C:\Windows\System32\spool\PRINTERS\*

:: Aguarda 2 segundos antes de iniciar o serviço
timeout /t 2 /nobreak >nul

:: Inicia o serviço de spooler
echo Reiniciando o serviço de spooler...
net start spooler

echo Processo concluído!
pause
